org.apache.tinkerpop.gremlin.jsr223

## Class DefaultImportCustomizer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.DefaultImportCustomizer

- All Implemented Interfaces:
    Customizer, ImportCustomizer

      public class DefaultImportCustomizer
      extends Object
      implements ImportCustomizer

  Simple implementation of the `ImportCustomizer` which allows direct setting of all the different import types.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultImportCustomizer.Builder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultImportCustomizer.Builder` | `build()`
    `Set<Class>` | `getClassImports()` Gets the set of classes to be imported to the `GremlinScriptEngine`.
    `Set<Enum>` | `getEnumImports()` Gets the set of enums to be imported to the `GremlinScriptEngine`.
    `Set<Field>` | `getFieldImports()` Gets the set of fields to be imported to the `GremlinScriptEngine`.
    `Set<Method>` | `getMethodImports()` Gets the set of static methods to be imported to the `GremlinScriptEngine`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.jsr223.ImportCustomizer

      `getClassPackages, getEnumClasses, getFieldClasses, getMethodClasses`

- - ### Method Detail

    - #### getClassImports

          public Set<Class> getClassImports()

      Description copied from interface: `ImportCustomizer`
      Gets the set of classes to be imported to the `GremlinScriptEngine`.
      Specified by:
        `getClassImports` in interface `ImportCustomizer`

    - #### getMethodImports

          public Set<Method> getMethodImports()

      Description copied from interface: `ImportCustomizer`
      Gets the set of static methods to be imported to the `GremlinScriptEngine`.
      Specified by:
        `getMethodImports` in interface `ImportCustomizer`

    - #### getEnumImports

          public Set<Enum> getEnumImports()

      Description copied from interface: `ImportCustomizer`
      Gets the set of enums to be imported to the `GremlinScriptEngine`.
      Specified by:
        `getEnumImports` in interface `ImportCustomizer`

    - #### getFieldImports

          public Set<Field> getFieldImports()

      Description copied from interface: `ImportCustomizer`
      Gets the set of fields to be imported to the `GremlinScriptEngine`.
      Specified by:
        `getFieldImports` in interface `ImportCustomizer`

    - #### build

          public static DefaultImportCustomizer.Builder build()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.